
/*         This Gauss program generates whether oil prices go up relative to their
                previous peak */

                   output file=junk reset;
		   library pgraph;


nt = 218;   @ nt is the number of observations in the original sample @
load qz2[nt,4] = oildat2.prn;  @ col. 1 = date; col. 2 = oil price change;
                                col. 3 = oilmax; col. 4 = oilmax 3 yrs @
load qz4[nt,2] = deflator.prn;  @ col. 1 = date; 
                                          col. 2 = change in gdp deflator @

qz = qz2[.,1] ~ qz2[.,2] ~ qz4[.,2] ~ (qz2[.,2] - qz4[.,2]);
             @ col. 1 = date; col. 2 = percent change in oil price;
               col. 3 = percent change in GDP deflator
               col. 4 = percent change in real oil price @

/* ==========================================================
     cumulate nominal oil price changes to get log of level
     entry #1 (normalized at 0) corresponds to log of real oil price 
      for 1947:1  
   =========================================================== */
really = zeros(nt+1,1);
i = 1;
do until i > nt;
	really[i+1,1] = really[i,1] + qz[i,2]/100;
i = i+1;
endo;

/* ===========================================================
    calculate 4-year peak
   =========================================================== */
netoil = ones(nt+1,1);
i = 2;
do until i > nt+1;
	if i < 17;
 		netoil[i-1,1] = maxc(really[1:i-1,1]);
	else;
		netoil[i-1,1] = maxc(really[i-16:i-1,1]);
	endif;
i = i+1;
endo;

netoil = really[2:nt+1,1] - netoil[1:nt,1];
netoil = netoil .* (netoil .> zeros(nt,1));

davis = seqa(1947.25,.25,nt) ~ qz2[.,4] ~ 100*netoil ~ really[2:nt+1,1];
davis;
title("Figure 9");
_pdate="";
xy(davis[.,1],davis[.,4]);
