
/*         This Gauss program generates a conditional variance series according to 
             the values given in Table 3 of Lee, Ni, and Ratti */

                   output file=junk reset;


nt = 218;   @ nt is the number of observations in the original sample @
load qz2[nt,4] = oildat2.prn;  @ col. 1 = date; col. 2 = oil price change;
                                col. 3 = oilmax; col. 4 = oilmax 3 yrs @
load qz4[nt,2] = deflator.prn;  @ col. 1 = date; 
                                          col. 2 = change in gdp deflator @

qz = qz2[.,1] ~ qz2[.,2] ~ qz4[.,2] ~ (qz2[.,2] - qz4[.,2]);
             @ col. 1 = date; col. 2 = percent change in oil price;
               col. 3 = percent change in GDP deflator
               col. 4 = percent change in real oil price @


     n = nt; n0 = n;
     y = qz[.,4];            @ dependent variable is percent change in real oil price @
eps = zeros(nt,1);
h = 100*ones(nt,1);
eps[5:nt,1] = y[5:nt,1] + 0.4965 - 0.436*y[4:nt-1,1] + 0.401*y[3:nt-2,1] 
                     - 0.244*y[2:nt-3,1] + 0.238*y[1:nt-4,1];
i = 5;
do until i > nt;
    h[i,1] = 1.49 + 2.208*eps[i-1,1]^2 + 0.197*h[i-1,1];
i = i + 1;
endo;
"mean standard deviation is";; meanc(sqrt(h));
"mean variance is";;meanc(h);
"mean epsion squared is";
meanc(eps[5:nt,1]^2);

qlee = qz[.,4] ./sqrt(h);
qlee = maxc( (qlee ~ zeros(nt,1))');
qz[.,1]~qz[.,4]~qlee;



  
