@ This Gauss program reads in data for oil analysis (based on Nov 2001 data 
   Note: program is always assumed to be run from a directory parallel to
   the directory in which this program (reoil01.g) and the data it reads
   are located, namely data2001 @
    output file = junk reset;
    library pgraph,optmum;
    graphset; optset;   

nt = 218;   @ nt is the number of observations in the original sample @
load qz1[nt,2] = ..\data2001\gdp.prn;   @ col. 1 = date; 
                                    col. 2 = quarterly growth of real gdp @
load qz2[nt,4] = ..\data2001\oildat2.prn;  @ col. 1 = date; 
						col. 2 = nominal oil price change; 
                                        col. 3 = oilmax; 
                                        col. 4 = oilmax over 3 years @
qz = qz1[.,1]~qz1[.,2]~qz2[.,2];
 @ col. 1 = date; col. 2 = gdp growth rate; 
	col. 3 = percent change in oil price;   @


load qzquant[nt,2] = ..\data2001\quant.txt;
qzquant = qzquant~zeros(nt,8);
i = 1;
do until i > 8;
    qzquant[9:nt,i+2] = qzquant[9-i:nt-i,2];
i = i+1;
endo;

qzquant = qzquant[9:nt,3:cols(qzquant)];

   n = nt - 8;


y = qz[9:nt,2];   @ this is GDP growth rates, 1949:II to 2001:III @
x = zeros(n,1);     @ phantom entry to be removed shortly @
xp = 4;            @ xp is number of lags used for oil prices @
i = 1;
do until i > xp;
   x = x~qz[9-i:nt-i,3];  @ first xp cols of x will contain lagged oil prices @
i = i+1;
endo;


x = x[.,2:cols(x)];    @ removes phantom entry @

xlin = x;
yp = 4;     @ yp is number of lags used for gdp @
i = 1;
do until i > xp;
   xlin = xlin~qz[9-i:nt-i,2];   @ next yp cols of xlin contain lagged gdp @
i = i+1;
endo;



@ next read in the series for net oil price change @

xham = qz2[.,3];
xzham = xham[9-1:nt-1,1];
i = 2;
do until i > xp;
    xzham = xzham ~xham[9-i:nt-i,1];
i = i+1;
endo;

@ next read in the series for net oil price change over 3 years @
x3dat = qz2[.,4];
x3ham = x3dat[9-1:nt-1,1];
i = 2;
do until i > xp;
    x3ham = x3ham ~x3dat[9-i:nt-i,1];
i = i+1;
endo;


@ construct series for positive oil price change @
xmork = maxc(   ( qz[.,3]~zeros(nt,1) )'   );
xzmork = xmork[9-1:nt-1,1];
i = 2;
do until i > xp;
    xzmork = xzmork ~ xmork[9-i:nt-i,1];
i = i+1;
endo;

@ load Lee, Ni, and Ratti series @

load qzlee[nt,3] = ..\data2001\lee.dat;
xlee1 = zeros(n,1);
i = 1;
do until i > xp;
   xlee1 = xlee1~qzlee[9-i:nt-i,3];
i = i+1;
endo;
xlee1 = xlee1[.,2:cols(xlee1)];

